Roku Legacy Products

Help with Roku products that no longer receive software updates, are no longer supported for channel updates, etc.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Panaman14
Level 8

HBO Max Won't Install On 3400X

When I attempt to add the new HBO Max channel to my Roku 3400X I get the following error message:

Channel install failed

Could not add 'HBO Max'. Error

My stick is completely up-to-date on software updates. Is there an HBO Max channel incompatibility issue with the Roku 3400X?

0 Kudos
4 REPLIES 4\
makaiguy
Community Streaming Expert

Re: HBO Max Won't Install On 3400X

Your 3400X Roku Stick MHL is a second generation Roku that was released in 2012 and is now considered legacy equipment.  The current line is eighth generation, with this year's Ultra being considered as ninth.  The 3400 is no longer receiving Roku updates. The last Roku version for it was 9.1, released in April 2019, while the roll-out of 9.4 to currently-supported units is complete or nearly so. 

I can't find any information yet re which Roku models HBO wrote their HBO Max to support, but I would not be surprised if they did not include the 3400.

Edited to add:
I've now located the following info on the hbomax.com website:
HBO MAX requires Roku software 9.3 or higher.
(Source: https://help.hbomax.com/Answer/Detail/20)

 

Doug
Roku Community Streaming Expert  I am not a Roku employee, only a user like you.
Streaming Stick+ 3810 | TCL Roku TV 43S245/C107X | Streaming Stick 3600

If this post solves your problem please help others find this answer by clicking "Accept as Solution."
0 Kudos
Panaman14
Level 8

Re: HBO Max Won't Install On 3400X

Yes, it would be nice if Roku would provide a list of which of their streaming media player models are compatible with the new HBO Max channel.

0 Kudos
KID70
Level 7

Re: HBO Max Won't Install On 3400X

i'm having the same issue and found HBO Max plays on all Roku devices running 9.3 or higher.

 

 

0 Kudos
Panaman14
Level 8

Re: HBO Max Won't Install On 3400X

Yes, all of that makes sense. My Roku 3400X indeed won't update beyond version 9.1.0 and my 4210X on version 9.4.0 installed HBO Max just fine. So, it appears to me that your experience & hypothesis are accurate. I'll take your word for it that the cutoff (i.e. minimum version level) is 9.3.0. Thanks for clarifying the issue for me!

0 Kudos